> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post solr 



## OpenAPI

````yaml /api-reference/4.2/service-solr.json post /solr/{collection}/{path}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service solr
servers:
  - url: /api/apollo/
security: []
tags:
  - name: solr
paths:
  /solr/{collection}/{path}:
    post:
      tags:
        - 4.2 Solr API
      operationId: proxyPostRequestToSolr
      parameters:
        - name: collection
          in: path
          required: true
          schema:
            type: string
        - name: path
          in: path
          required: true
          schema:
            type: string
            pattern: .*
      requestBody:
        $ref: '#/components/requestBodies/InputStream'
      responses:
        default:
          description: successful operation
components:
  requestBodies:
    InputStream:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InputStream'
  schemas:
    InputStream:
      type: object

````